Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161722 - debugedit fails to find any source code if Java package compiled with -O0 -g
Summary: debugedit fails to find any source code if Java package compiled with -O0 -g
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-26 16:08 UTC by Robin Green
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 09:23:55 UTC


Attachments (Terms of Use)
Source RPM demonstrating bug (deleted)
2005-06-26 16:08 UTC, Robin Green
no flags Details
Fix (deleted)
2005-06-26 23:21 UTC, Robin Green
no flags Details | Diff

Description Robin Green 2005-06-26 16:08:08 UTC
Description of problem:
Strange, but true. /usr/lib/rpm/debugedit fails to find any source code if a
Java package is compiled with -O0 -g.

Version-Release number of selected component (if applicable):
rpm-build-4.4.1-21

How reproducible:
Always

Steps to Reproduce:
1. Download attached jhello.src.rpm
2. rpmbuild --rebuild jhello.src.rpm
3. Run rpm -qlp on the generated -debuginfo rpm
  
Actual results:
/usr/lib/debug/usr/lib/jhello/libjhello.jar.so.debug

Expected results:
/usr/lib/debug/usr/lib/jhello/libjhello.jar.so.debug
/usr/src/debug/jhello-1.0.0
/usr/src/debug/jhello-1.0.0/HelloWorld.java

Comment 1 Robin Green 2005-06-26 16:08:08 UTC
Created attachment 115987 [details]
Source RPM demonstrating bug

Comment 2 Robin Green 2005-06-26 23:21:13 UTC
Created attachment 115997 [details]
Fix

Comment 3 Jeff Johnson 2005-07-13 09:23:55 UTC
Patch added to CVS, should be in rpm-4.4.2-0.8 when built. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.